package preferences

# set within server

# collectionoption is only set when cross-collection searching is turned on
_collectionoption_ {}

# this macro will be set to "1" when the "source docs retrived from dl/web
# button is required - i.e. whenever PreferenceDocsFromWeb isn't set to false
# in collect.cfg
_PreferenceDocsFromWeb_ {}


#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. this is overridden here as we don't want a 'preferences' 
# link on this page

_javalinks_ {_imagehome__imagehelp_}
_javalinks_ [v=1] {
_imagehome_<br>
_imagehelp_<br>
}


#######################################################################
# scripts
# note that changing either the "m" or the "o" argument
# from the preferences page necessitates reseting the "r"
# argument to 1
#######################################################################

_ccsfunctions_ {argcc = "";
savedccs = new Object();

function initialize () \{
  for (i = 0; i < document.links.length; i++)
    savedhrefs[i] = document.links[i].href;

  s = "_cgiargcc_";
  a = s.split (",");
  for (i = 0; i < a.length ;i++) \{
    for (j = 0; j < document.PrefForm.cc.length; j++) \{
      if (a[i] == document.PrefForm.elements["cc"][j].value) \{
        document.PrefForm.elements["cc"][j].checked = true;
        savedccs[a[i]] = 1;
        argcc = argcc + "&cc=" + a[i];
        break;
      \} else \{
        savedccs[a[i]] = 0;
      \}
    \}
  \}
  updatehrefs();
\}

function updatecc (collection) \{
  if (savedccs[collection] == 1) savedccs[collection] = 0;
  else savedccs[collection] = 1;
		
  var i;
  argcc = "";
  for (i in savedccs)
    if (savedccs[i] == 1) argcc += "&cc=" + i;
  updatehrefs();
\}
}

_standardfunctions_ {
function initialize () \{
  for (i = 0; i < document.links.length; i++)
    savedhrefs[i] = document.links[i].href;
\}
}

_getargsfunction_ {
function getargs () \{
  return argk + args + argm + argo + argb_If_('_cgiargccs_ == 1',_ccsargs_)_If_(_htmloptions_,_htmlargs_);
\}
}

_ccsargs_ {+ argcc}
_htmlargs_ {+ argel + argil + argfc + arghl}

_htmlfunctions_ {argel = "";
argil = "";
argfc = "";
arghl = "";

function updateel () \{
  value = document.PrefForm.el.options[document.PrefForm.el.selectedIndex].value;
  if (value != "_cgiargel_") argel = "&el=" + value;
  else argel = "";
  updatehrefs();
\}

function updateil () \{
  value = document.PrefForm.il.options[document.PrefForm.il.selectedIndex].value;
  if (value != "_cgiargil_") argil = "&il=" + value;
  else argil = "";
  updatehrefs();
\}

function updatefc () \{
  if (document.PrefForm.fc.checked)
    _If_("_cgiargfc_" eq "1",_argfcblank_,_argfcon_)
  else 
    _If_("_cgiargfc_" ne "1",_argfcblank_,_argfcoff_)
  updatehrefs();
\}

function updatehl () \{
  if (document.PrefForm.hl.checked)
    _If_("_cgiarghl_" eq "1",_arghlblank_,_arghlon_)
  else 
    _If_("_cgiarghl_" ne "1",_arghlblank_,_arghloff_)
  updatehrefs();
\}
}

_argfcblank_ {argfc = "";}
_argfcon_ {argfc = "&fc=1&f=1";}
_argfcoff_ {argfc = "&fc=0&f=0";}

_arghlblank_ {arghl = "";}
_arghlon_ {arghl = "&hl=1";}
_arghloff_ {arghl = "&hl=0";}

_pagescriptextra_ {
// preferences scripts generated from \_preferences:pagescriptextra\_

savedhrefs = new Object();

argk = "";
args = "";		
argm = "";
argo = "";
argb = "";
_If_('_cgiargccs_ == 1',_ccsfunctions_,_standardfunctions_)
_If_(_htmloptions_,_htmlfunctions_)
_getargsfunction_
function updatehrefs () \{
  for (i = 0; i < document.links.length; i++)
    document.links[i].href = savedhrefs[i] + getargs();
\}

function updatek (value) \{
  if (value != _cgiargk_) argk = "&k=" + value;
  else argk = "";
  updatehrefs();
\}

function updates (value) \{
  if (value != _cgiargs_) args = "&s=" + value;
  else args = "";
  updatehrefs();
\}

function updatem () \{
  value = document.PrefForm.m.options[document.PrefForm.m.selectedIndex].value;
  if (value != _cgiargm_) argm = "&r=1&m=" + value;
  else argm = "";
  updatehrefs();
\}

function updateo () \{
  value = document.PrefForm.o.options[document.PrefForm.o.selectedIndex].value;
  if (value != _cgiargo_) argo = "&r=1&o=" + value;
  else argo = "";
  updatehrefs();
\}

function updateb (value) \{
  if (value != _cgiargb_) argb = "&b=" + value;
  else argb = "";
  updatehrefs();
\}

function updatel () \{
  value = document.PrefForm.l.options[document.PrefForm.l.selectedIndex].value;
  location.href = location.href + "&l=" + value + getargs();
\}

function updatev () \{
  value = document.PrefForm.v.options[document.PrefForm.v.selectedIndex].value;
  location.href = location.href + "&v=" + value + getargs();
\}

function updatew () \{
  value = document.PrefForm.w.options[document.PrefForm.w.selectedIndex].value;
  location.href = location.href + "&nw=" + value + getargs();
\}
}

#######################################################################
# headers
# these are overridden so we can put an onLoad event handler
# in the <body> tag of this page
#######################################################################


_header_ {_cgihead_
_htmlhead_(background="_httpiconchalk_" onLoad="initialize();")_startspacer__pagebanner_
}

# this declaration ends up being the same as style=restrict, never mind
_header_[v=1] {_cgihead_
_htmlhead_(onLoad="initialize();")_pagebanner_
}


#######################################################################
# page content
#######################################################################

_pagetitle_ {_collectionname_: _textpreferences_}
_imagethispage_ {_iconthispage_}

_htmloptions_ {}

_htmloptionson_ {
<p>
_fcoption_
<p>
_hloption_
<p>
_extlinkoption_
_If_(_PreferenceDocsFromWeb_,<p>
_intlinkoption_)
}

_caseoption_ {
<input type=radio name=k value=1 onClick="updatek(1);"
		_If_(_cgiargk_, checked)>_textignorecase_<br>
<input type=radio name=k value=0 onClick="updatek(0);"
		_If_(_cgiargk_,, checked)>_textmatchcase_
}

_fcoption_ {
<input type=checkbox name=fc onClick="updatefc();"_If_("_cgiargfc_" eq "1", checked)> 
_textfcoption_
}

_hloption_ {
<input type=checkbox name=hl onClick="updatehl();"_If_("_cgiarghl_" eq "1", checked)> 
_texthloption_
}

_caseoption_ [l=zh] {}

_stemoption_ {
<input type=radio name=s value=1 onClick="updates(1);"
  _If_(_cgiargs_, checked)>_textstem_<br>
<input type=radio name=s value=0 onClick="updates(0);"
  _If_(_cgiargs_,, checked)>_textnostem_
}

_stemoption_ [l=zh] {}

_maxdocoption_ {
<select name="m" onChange="updatem();">
  <option value="50"_If_("_cgiargm_" eq "50", selected)>50
  <option value="100"_If_("_cgiargm_" eq "100", selected)>100
  <option value="200"_If_("_cgiargm_" eq "200", selected)>200
</select>
}

_hitsperpageoption_ {
<select name="o" onChange="updateo();">
  <option value="10"_If_("_cgiargo_" eq "10", selected)>10  
  <option value="20"_If_("_cgiargo_" eq "20", selected)>20
  <option value="50"_If_("_cgiargo_" eq "50", selected)>50
  <option value="100")_If_("_cgiargo_" eq "100", selected)>_textall_
</select>
}

_modeoption_ {
<input type=radio name=b value=0 onClick="updateb(0);"
		_If_(_cgiargb_,, checked)>_textsimplemode_<br>
<input type=radio name=b value=1 onClick="updateb(1);"
		_If_(_cgiargb_, checked)>_textadvancedmode_
}

_extlinkoption_ {
_textextlink_
<select name="el" onChange="updateel();">
  <option value="prompt"_If_("_cgiargel_" eq "prompt", selected)>
     _textlinkinterm_
  <option value="direct"_If_("_cgiargel_" eq "direct", selected)>
     _textlinkdirect_
</select>
}

_intlinkoption_ {
_textintlink_
<select name="il" onChange="updateil();">
  <option value="l"_If_("_cgiargil_" eq "l", selected)>
     _textdigitlib_
  <option value="w"_If_("_cgiargil_" eq "w", selected)>
     _textweb_
</select>
}

_languageoption_ {}

_enlanguageoption_ {<option value="en"_If_("_cgiargl_",, selected)_If_("_cgiargl_" eq "en", selected)>_textlangeng_}
_milanguageoption_ {<option value="mi"_If_("_cgiargl_" eq "mi", selected)>_textlangmaori_}
_zhlanguageoption_ {<option value="zh"_If_("_cgiargl_" eq "zh", selected)>_textlangchinese_}

_encodingoption_ {
_textencoding_
<select name="w" onChange="updatew();">
  <option value="w" _If_("_cgiargw_" eq "w",selected)>Western (ISO-8859-1)
  <option value="u" _If_("_cgiargw_" eq "u",selected)>UTF-8
  <option value="g" _If_("_cgiargw_" eq "g",selected)>GBK
</select>
}

_formatoption_ {
_textformat_
<select name="v" onChange="updatev();">
  <option value="0"_If_("_cgiargv_" eq "0", selected)>_textgraphical_
  <option value="1"_If_("_cgiargv_" eq "1", selected)>_texttextual_
</select>
}

_content_ {
<center>
_navigationbar_
</center>
<blockquote>

<form name=PrefForm method=get action="_gwcgi_">

<input type="hidden" name="e" value="_decodedcompressedoptions_">

_If_(_collectionoption_,_collectionprefs_)
_presentationprefs_
_searchprefs_

</blockquote>
</form>
}

_searchprefs_ {
<h3>_textsearchprefs_</h3>
<p>
_caseoption_

<p>
_stemoption_

<p>
_modeoption_

<p>
_textprefop_
<br>_iconblankbar_
}

_collectionprefs_ {
<h3>_textcollectionprefs_</h3>
_collectionoption_
<br>_iconblankbar_
}

_presentationprefs_ {
<h3>_textpresentationprefs_</h3>
_htmloptions_

<p>
_languageoption_

<p>
_encodingoption_

<p>
_formatoption_
<br>_iconblankbar_
}

#######################################################################
# https
#######################################################################

_httpiconhpref_ {_httpimg_/h\_pref.gif}
_httpiconhpref_ [l=mi] {_httpimg_/mh\_pref.gif}
_widthhpref_ {200}
_widthhpref_ [l=mi] {220}
_heighthpref_ {57}


#######################################################################
# icons
#######################################################################

_iconthispage_ {<img src="_httpiconhpref_" alt="_textpreferences_" width="_widthhpref_" height="_heighthpref_">}
_iconthispage_ [l=mi] {<img src="_httpimg_/mh\_pref.gif" alt="" width="220" height="57">}








